
---
kind: ClusterRole
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: coder-cluster-role
rules:
- apiGroups:
  - ""
  - extensions
  - apps
  - rbac.authorization.k8s.io
  - roles.rbac.authorization.k8s.io
  - authorization.k8s.io
  - networking.k8s.io
  resources: ["*"]
  verbs: ["*"]
- apiGroups: [""]
  resources: ["pods"]
  verbs:
  - create
  - delete
  - deletecollection
  - get
  - list
  - patch
  - update
  - watch
- apiGroups: [""]
  resources: ["persistentvolumeclaims"]
  verbs:
  - create
  - delete
  - deletecollection
  - get
  - list
  - patch
  - update
  - watch

---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: coder-cluster-role-bind
subjects:
  - kind: ServiceAccount
    name: coder
    namespace: "{{ k8s_coder_namespace }}"
roleRef:
  kind: ClusterRole
  name: coder-cluster-role
  apiGroup: rbac.authorization.k8s.io

---

---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: coder-dev
  namespace: "{{ k8s_coder_namespace }}"

---
kind: ClusterRole
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: coder-dev-cluster-role
  namespace: "{{ k8s_coder_namespace }}"
rules:
- apiGroups: ["", "batch", "apps"]
  resources: ["deployments", "jobs", "pods", "pods/log", "pods/exec", "configmaps",
              "pods/attach", "persistentvolumeclaims", "services", 
              "endpoints", "events", "replicasets", "statefulsets"]
  verbs: ["get", "list", "watch"]
- apiGroups: ["tango.tango-controls.org"]
  resources: ["databaseds", "deviceservers"]
  verbs: ["get", "list", "watch"]

---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: coder
  namespace: "{{ k8s_coder_namespace }}"
subjects:
  - kind: ServiceAccount
    name: coder-dev
    namespace: "{{ k8s_coder_namespace }}"
roleRef:
  kind: ClusterRole
  name: coder-dev-cluster-role
  apiGroup: rbac.authorization.k8s.io
